Package Gnumed :: Package wxpython :: Module gmTextCtrl :: Class cExpandoTextCtrl |
[frames] | no frames]

# Class cExpandoTextCtrl

source code

    gmKeywordExpansionWidgets.cKeywordExpansion_TextCtrlMixin --+
                                                                |
                                    cTextSearch_TextCtrlMixin --+
                                                                |
                                 cColoredStatus_TextCtrlMixin --+
                                                                |
                               wx.lib.expando.ExpandoTextCtrl --+
                                                                |
                                                               cExpandoTextCtrl

    Expando based text ctrl

    - auto-sizing on input
    - keyword based text expansion
    - text search on show_find_dialog()
    - (on demand) status based background color

    Parent panels should apply the cExpandoTextCtrlHandling_PanelMixin.

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `gmKeywordExpansionWidgets.cKeywordExpansion_TextCtrlMixin`: `attempt_expansion`, `disable_keyword_expansions`, `enable_keyword_expansions` Inherited from `cTextSearch_TextCtrlMixin`: `show_find_dialog` Inherited from `cColoredStatus_TextCtrlMixin`: `Disable`, `Enable`, `display_as_disabled`, `display_as_valid`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: cColoredStatus_TextCtrlMixin.__init__